using System.ComponentModel.DataAnnotations;

namespace JobPortalAPI.DTOs
{
    public class ChangePasswordDto
    {
        [Required]
        [DataType(DataType.EmailAddress)]
    
        public string email { get; set; } = null!;
        [Required]
        [DataType(DataType.Password)]

        public string oldPassword { get; set; } = null!;
        [Required]
        [DataType(DataType.Password)]

        public string newPassword { get; set; } = null!;
        [Required]
        [DataType(DataType.Password)]
        [Compare("newPassword", ErrorMessage = "Password and confirmation password do not match")]
        public string confirmedPassword { get; set; } = null!;
    }
}
